jQuery(document).ready(function() {
	jQuery( "body div.Table2Chart" ).each(function() {
		if ((this.id).indexOf("container-HC-")!=0) return;
		var opt=jQuery.parseJSON(document.getElementById("script-"+this.id).innerHTML);
//		alert((opt['titleY']) ? opt['titleY'] : null);
		var colors=(opt['color']) ? (opt['color'].split(",")) : ['#cccccc'];
		var chart = new Highcharts.Chart({
			chart: {
			renderTo: this.id,
			type: (opt['type']) ? opt['type'] : 'line',
			backgroundColor: (opt['background']) ? opt['background'] : '#FFFFFF',
						},
			xAxis: {
			title: {text: (opt['titleX']) ? opt['titleX'] : null},
						},
			yAxis: {
			title: {text: (opt['titleY']) ? opt['titleY'] : null},
			},
		});
		var table=document.getElementById(this.id).parentNode.getElementsByTagName('table')[opt['table']];
		var namecol = (opt['namecol']) ? parseInt(opt['namecol'])-1 : 0;
		var namerow = (opt['namerow']) ? parseInt(opt['namerow'])-1 : 0;
		var xLabels=[];
		var sNames=[];
		var dataValues=[];
		var excludecols=(opt['excludecols']) ? (opt['excludecols']).split(",") : [];
		var excluderows=(opt['excluderows']) ? opt['excluderows'].split(",") : [];
		var includecols=(opt['includecols']) ? opt['includecols'].split(",") : [];
		var includerows=(opt['includerows']) ? opt['includerows'].split(",") : [];
		var k=-1;
		for (var i=0,row;row=table.rows[i];i++) {
//			if (jQuery.inArray((i+1)+"", excluderows)!=-1) continue;
            if (i!=namerow && (jQuery.inArray((i+1)+"", excluderows)!=-1 || (includerows.length>0 && jQuery.inArray((i+1)+"", includerows)==-1))) continue;
			if (opt['order']=='column') k=-1;
			for (var j=0,col;col=row.cells[j];j++) {
				coln=col.textContent.replace(/[^0-9\.,%]+/g,"");
//				col="0"+col;
//				console.log(coln);
//				if (jQuery.inArray((j+1)+"", excludecols)!=-1) continue;
                if (j!=namecol && (jQuery.inArray((j+1)+"", excludecols)!=-1 || (includecols.length>0 && jQuery.inArray((j+1)+"", includecols)==-1))) {continue};
				//console.log("j!=namecol:"+(j!=namecol)+"/jQuery.inArray((j+1), excludecols):"+jQuery.inArray((j+1)+"", excludecols)+"/excludecols.length>0:"+excludecols.length+"/jQuery.inArray((j+1), excludecols):"+jQuery.inArray((j+1)+"", excludecols)+"/"+i+"/"+j);
				if (opt['order']=='column') {
				if (i==namerow && j>namecol) {sNames.push(col.textContent);dataValues[++k]=[];}
					else {
						if (j==namecol && i>namerow) xLabels.push(col.textContent)
						else if (j>namecol && i>namerow) dataValues[++k].push(parseFloat((opt['convert']) ? ("0"+coln).replace(".","").replace(",",".") : ("0"+coln).replace(",","")));
					}
				}
				else {
					if (i==namerow && j>namecol) xLabels.push(col.textContent);
					else {
						if (j==namecol && i>namerow) {sNames.push(col.textContent);dataValues[++k]=[];}
						else if (j>namecol && i>namerow) dataValues[k].push(parseFloat((opt['convert']) ? ("0"+coln).replace(".","").replace(",",".") : ("0"+coln).replace(",","")));
					}
				}
			}
		}
		var ns=dataValues.length;
		chart.setTitle({ text: (opt['title']) ? opt['title'] : ''},{text: (opt['subtitle']) ? opt['subtitle'] : ''});
		chart.xAxis[0].setCategories(xLabels);
		for (var i=0;i<ns;i++) {
			console.log(dataValues[i]);
			chart.addSeries({data:dataValues[i],name: sNames[i],color:colors[i%colors.length]});
		}	
//		console.log("***");	
	});
});
